Xcodeアップデート(6.3.2)でXVimプラグインが動かなくなったので対応

スポンサーリンク
スポンサーリンク
【お知らせ】 英単語を画像イメージで楽に暗記できる辞書サイトを作りました。英語学習中の方は、ぜひご利用ください!
画像付き英語辞書 Imagict | 英単語をイメージで暗記
【開発記録】
英単語を画像イメージで暗記できる英語辞書サービスを作って公開しました

Xcode のアップデート(6.3.1 → 6.3.2)が来てたので、何気なく深く考えずにアップデートを実行したところ、XVim が動作しなくなって焦りました。対応策として、git pull で XVim プラグインを最新にして make をやり直したら、動くようになりました。

— 環境 —
Xcode 6.3.2

スポンサーリンク

git pull して make やり直し

プラグインをインストールしたディレクトリに移動後、git pull して XVim を最新にする。

merge して master ブランチを最新にしました。

その後 make。

BUILD SUCCEEDED が表示されればビルド成功です。

Xcode 起動時の警告で Load Bundle

XVim を make しなおした後に、Xcode を起動したところ警告が出ました。Xcode 6.3.2 から、サードパーティ製のプラグインをロードしようとすると、この警告のダイアログが出るようになったらしい。

Screen Shot 2015-05-19 at 12.19.08

このダイアログボックスで、「Load Bundle」を選択します。これで XVim が使えるようになりました。

ここで「Skip Bundle」を選択すると、ちょっとはまってしまうらしい…。詳細は以下。

Xcode 6.3.2 で Plugin を動くようにするまで – Qiita

スポンサーリンク
スポンサーリンク
 
Twitterを使っていますのでフォローお願いたします!ブログの更新情報もつぶやいてます^^
(英語学習用)

Leave Your Message!